Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libetonyek::KEY1FillElement Class Reference

`#include <KEY1FillElement.h>`

Inheritance diagram for libetonyek::KEY1FillElement:

## Public Member Functions
| KEY1FillElement (KEY1ParserState &state, boost::optional< IWORKFill > &fill)
Public Member Functions inherited from libetonyek::KEY1XMLContextBase< Base >
| KEY1XMLContextBase (KEY1ParserState &state)
template<typename T >
| KEY1XMLContextBase (KEY1ParserState &state, const T &a)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, KEY1ParserState, KEYCollector >
| IWORKXMLContextBase (KEY1ParserState &state)
| IWORKXMLContextBase (KEY1ParserState &state, const T &a)
KEY1ParserState & | getState ()

## Private Types
enum | FillType { FILL_TYPE_COLOR, FILL_TYPE_IMAGE, FILL_TYPE_NONE }

## Private Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
boost::optional< IWORKFill > & | m_fill
boost::optional< FillType > | m_type
boost::optional< IWORKColor > | m_color
boost::optional< std::string > | m_imageName
boost::optional< IWORKImageType > | m_imageType

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, KEY1ParserState, KEYCollector >
KEYCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, KEY1ParserState, KEYCollector >
KEY1ParserState & | m_state

## Member Enumeration Documentation

## ◆ FillType

enum libetonyek::KEY1FillElement::FillType
| private

Enumerator
FILL_TYPE_COLOR |
FILL_TYPE_IMAGE |
FILL_TYPE_NONE |

## Constructor & Destructor Documentation

## ◆ KEY1FillElement()

libetonyek::KEY1FillElement::KEY1FillElement | ( | KEY1ParserState & | state,
|  | boost::optional< IWORKFill > & | fill
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::KEY1FillElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| override private

## ◆ element()

IWORKXMLContextPtr_t libetonyek::KEY1FillElement::element | ( | int | name | ) |
| override private

## ◆ endOfElement()

void libetonyek::KEY1FillElement::endOfElement | ( |  | ) |
| override private

## Member Data Documentation

## ◆ m_color

boost::optional<IWORKColor> libetonyek::KEY1FillElement::m_color
| private

Referenced by attribute(), and endOfElement().

## ◆ m_fill

boost::optional<IWORKFill>& libetonyek::KEY1FillElement::m_fill
| private

Referenced by endOfElement().

## ◆ m_imageName

boost::optional<std::string> libetonyek::KEY1FillElement::m_imageName
| private

Referenced by attribute(), and endOfElement().

## ◆ m_imageType

boost::optional<IWORKImageType> libetonyek::KEY1FillElement::m_imageType
| private

Referenced by attribute(), and endOfElement().

## ◆ m_type

boost::optional<FillType> libetonyek::KEY1FillElement::m_type
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- KEY1FillElement.h
- KEY1FillElement.cpp